# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Specific app values
    package_version = control.get_software_version()
    package_version_two_digit = "%s.%s" % (package_version[0], package_version[2])
    bin_name = glob.glob("*ADE_*.exe")[0]
    app_uninstallkey = "Adobe Digital Editions %s" % package_version_two_digit

    # Skip Norton Antivirus Installation
    if not reg_value_exists(HKEY_LOCAL_MACHINE, r"SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\N360", ""):
        registry_setstring(HKEY_LOCAL_MACHINE, r"SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\N360", "", "")

    if not reg_value_exists(HKEY_LOCAL_MACHINE, r"SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\N360", ""):
        registry_setstring(HKEY_LOCAL_MACHINE, r"SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\N360", "", "")

    

    # Installing the package
    install_exe_if_needed(
        bin_name,
        silentflags="/S",
        key=app_uninstallkey,
        min_version=package_version,
        accept_returncodes=[0,1223,3010],
    )

    # Removing application desktop shortcut if allowed
    if params.get("remove_desktop_shortcuts"):
        remove_desktop_shortcut(app_uninstallkey)


def uninstall():
    if reg_value_exists(HKEY_LOCAL_MACHINE, r"SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\N360", ""):
        registry_delete(HKEY_LOCAL_MACHINE, r"SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\N360", "")

    if reg_value_exists(HKEY_LOCAL_MACHINE, r"SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\N360", ""):
        registry_delete(HKEY_LOCAL_MACHINE, r"SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall\N360", "")